TitlePicker Class Reference

`#include <TitlePicker.h>`

Inheritance diagram for TitlePicker:

## Signals

void | clicked ()
void | doubleClicked ()
void | removeTitle ()
void | showTitleMenu ()

## Public Member Functions

bool | selected ()
void | setSelected (bool select=true)
| TitlePicker (Graph *plot)

## Private Member Functions

bool | eventFilter (QObject *, QEvent *)

## Private Attributes

bool | d_selected
QwtTextLabel * | title

## Constructor & Destructor Documentation

## TitlePicker()

TitlePicker::TitlePicker | ( | Graph * | plot | ) |

References d_selected, and title.

## Member Function Documentation

## clicked

void TitlePicker::clicked | ( |  | ) |

signal

Referenced by eventFilter(), and selected().

## doubleClicked

void TitlePicker::doubleClicked | ( |  | ) |

signal

Referenced by eventFilter(), and selected().

## eventFilter()

bool TitlePicker::eventFilter | ( | QObject * | object,
|  | QEvent * | e
| ) |  |

private

References clicked(), d_selected, doubleClicked(), FALSE, removeTitle(), setSelected(), showTitleMenu(), title, and TRUE.

Referenced by selected().

## removeTitle

void TitlePicker::removeTitle | ( |  | ) |

signal

Referenced by eventFilter(), and selected().

## selected()

bool TitlePicker::selected | ( |  | ) |

inline

References clicked(), d_selected, doubleClicked(), eventFilter(), removeTitle(), and showTitleMenu().

Referenced by Graph::enableTextEditor(), Graph::hasSeletedItems(), Graph::setCurrentColor(), Graph::setCurrentFont(), and Graph::titleSelected().

## setSelected()

void TitlePicker::setSelected | ( | bool | select = `true` | ) |

References d_selected, and title.

Referenced by Graph::deselect(), eventFilter(), and Graph::selectTitle().

## showTitleMenu

void TitlePicker::showTitleMenu | ( |  | ) |

signal

Referenced by eventFilter(), and selected().

## Member Data Documentation

## d_selected

bool TitlePicker::d_selected

private

Referenced by eventFilter(), selected(), setSelected(), and TitlePicker().

## title

QwtTextLabel* TitlePicker::title

private

Referenced by eventFilter(), setSelected(), and TitlePicker().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/TitlePicker.h
- qtiplot/src/plot2D/TitlePicker.cpp